#ifndef INPUTPWDDIALOG_H
#define INPUTPWDDIALOG_H
#include <QDialog>
#include <QVBoxLayout>
#include <QGSettings>
#include <QLabel>
#include <QLineEdit>
#include <QDBusInterface>
#include "vinoui.h"


namespace Ui {
class InputPwdDialog;
}
class InputPwdDialog : public QDialog
{
    Q_OBJECT

public:
    InputPwdDialog(QWidget *parent = nullptr);
    ~InputPwdDialog();


private:
    QPushButton *mCancelBtn;
    QPushButton *mConfirmBtn;

    QLabel *mHintLabel;
    QLineEdit *mPwdLineEdit;
    QByteArray secPwd;
    bool mFirstload;

    bool mStatus;
    QDBusInterface *mVinoDBus;

private:
    void initUi();
    void initConnect();
    bool eventFilter(QObject *wcg, QEvent *event);

private slots:
    void mPwdLineEditInputSlot(const QString &pwd);


};


#endif // INPUTPWDDIALOG_H
